Summary: The multi-thread NIS daemon which binds NIS clients to an NIS domain.
Name: ypbind-mt
Version: 1.6
Release: 1
Group: System Environment/Daemons
Copyright: GPL
Url: http://www.suse.de/~kukuk/nis/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.kernel.org/pub/linux/NIS/ypbind-mt-%{version}.tar.gz
Patch: ypbind-mt-init.patch
Requires: portmap, yp-tools
Obsoletes: ypbind
Provides: ypbind
Buildroot: /var/tmp/%{name}-root

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the ypbind daemon.  The ypbind daemon binds NIS
clients to an NIS domain.  Ypbind must be running on any machines which
are running NIS client programs.

Install the ypbind package on any machines which are running NIS client
programs (included in the yp-tools package).  If you need an NIS server,
you'll also need to install the ypserv package to a machine on your
network.


%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--disable-nls
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT sbindir=/sbin

mkdir -p $RPM_BUILD_ROOT/var/yp/binding
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 -p etc/ypbind.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ypbind
install -m644 -p etc/yp.conf     $RPM_BUILD_ROOT/etc/yp.conf


%post
/sbin/chkconfig --add ypbind

%postun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del ypbind
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%config /etc/rc.d/init.d/ypbind
%config /etc/yp.conf
%dir /var/yp/binding
/sbin/ypbind
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

